|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
CMP_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » CMP DAC Driver

Structure containing the function pointers of CMP driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/cmp/cmp_interface.h>`

Collaboration diagram for CMP_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to CMPx_Initialize e.g. CMP1_Initialize.
void(* | Deinitialize )(void)
| Pointer to CMPx_Deinitialize e.g. CMP1_Deinitialize.
void(* | Enable )(void)
| Pointer to CMPx_Enable e.g. CMP1_Enable.
void(* | Disable )(void)
| Pointer to CMPx_Disable e.g. CMP1_Disable.
bool(* | StatusGet )(void)
| Pointer to CMPx_StatusGet e.g. CMP1_StatusGet.
void(* | EventCallbackRegister )(void(*handler)(void))
| Pointer to CMPx_EventCallbackRegister e.g. CMP1_EventCallbackRegister.
void(* | Tasks )(void)
| Pointer to CMPx_Tasks e.g. CMP1_Tasks (Supported only in polling mode)
const struct DAC_DC_INTERFACE * | cmp_dac_dc_interface
| Pointer to DAC_DC_INTERFACE.

## Detailed Description

Definition at line 72 of file cmp_interface.h.

## Field Documentation

## ◆ cmp_dac_dc_interface

const struct DAC_DC_INTERFACE* cmp_dac_dc_interface

Definition at line 96 of file cmp_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 77 of file cmp_interface.h.

## ◆ Disable

void(* Disable) (void)

Definition at line 83 of file cmp_interface.h.

## ◆ Enable

void(* Enable) (void)

Definition at line 80 of file cmp_interface.h.

## ◆ EventCallbackRegister

void(* EventCallbackRegister) (void(*handler)(void))

Definition at line 89 of file cmp_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 74 of file cmp_interface.h.

## ◆ StatusGet

bool(* StatusGet) (void)

Definition at line 86 of file cmp_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 93 of file cmp_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/cmp/cmp_interface.h